"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const plugin_helpers_1 = require("@graphql-codegen/plugin-helpers");
const graphql_1 = require("graphql");
const addIdPlugin = {
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    plugin(schema, _documents, _config) {
        let astNode = (0, plugin_helpers_1.getCachedDocumentNodeFromSchema)(schema); // Transforms the GraphQLSchema into ObjectFieldNode
        for (let definition of astNode.definitions) {
            if (definition.kind !== 'ObjectTypeDefinition' || !definition.fields) {
                continue;
            }
            let fields = definition.fields;
            if (fields.find(f => f.name.value === 'id')) {
                throw new Error(`Graphgen takes care of ids please remove the id field on the ${definition.name.value} type`);
            }
            fields.unshift({
                kind: graphql_1.Kind.FIELD_DEFINITION,
                description: undefined,
                name: { kind: graphql_1.Kind.NAME, value: 'id' },
                arguments: [],
                type: {
                    kind: graphql_1.Kind.NON_NULL_TYPE,
                    type: { kind: graphql_1.Kind.NAMED_TYPE, name: { kind: graphql_1.Kind.NAME, value: 'String' } },
                },
                directives: [],
            });
        }
        return astNode;
    },
};
module.exports = addIdPlugin;
//# sourceMappingURL=add-id-to-types.js.map