"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createHandler = void 0;
const node_1 = require("@graphql-yoga/node");
const resolvers_1 = require("./resolvers");
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
function getSchema() {
    let root = path_1.default.dirname(path_1.default.join('..', '..', '..')) === 'dist' ? path_1.default.join(__dirname, '..', '..', '..', '..') : path_1.default.join(__dirname, '..', '..', '..');
    return fs_1.default.readFileSync(path_1.default.join(root, 'schema', 'schema.docs-enterprise.graphql'), 'utf-8');
}
function createHandler({ users, githubRepositories, githubOrganizations, }) {
    let schema = getSchema();
    let resolvers = (0, resolvers_1.createResolvers)({
        users,
        githubRepositories,
        githubOrganizations,
    });
    let graphqlServer = (0, node_1.createServer)({
        schema: {
            typeDefs: schema,
            resolvers,
        },
        maskedErrors: false,
        logging: {
            // eslint-disable-next-line @typescript-eslint/no-unused-vars
            debug(..._args) { },
            warn(...args) {
                console.dir(...args);
            },
            // eslint-disable-next-line @typescript-eslint/no-unused-vars
            info(..._args) { },
            error(...args) {
                console.error(...args);
            },
        },
    });
    return graphqlServer;
}
exports.createHandler = createHandler;
//# sourceMappingURL=handler.js.map