/// <reference types="node" />
import express from 'express';
import type { Server } from 'http';
import type { SimulatedData } from './types';
export interface ServerOptions extends SimulatedData {
    port?: number;
    /**
     * Extend the capabilities of the Express Router simulating the GithHub API
     * with custom middlewares, and custom endpoints.
     *
     * @param ext an extenstion function that accepts the Express Router to make
     * changes to it
     */
    extend?(router: express.Router): void;
}
export declare function startStandaloneServer({ port, users, githubRepositories, githubOrganizations, extend, }: ServerOptions): Promise<Server>;
//# sourceMappingURL=standaloneServer.d.ts.map