"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.startStandaloneServer = void 0;
const express_1 = __importDefault(require("express"));
const express_promise_router_1 = __importDefault(require("express-promise-router"));
const handler_1 = require("./handler");
const cors_1 = __importDefault(require("cors"));
async function startStandaloneServer({ port, users, githubRepositories, githubOrganizations, extend, }) {
    let router = (0, express_promise_router_1.default)();
    router.use(express_1.default.json());
    router.get('/health', (_, response) => {
        response.send({ status: 'ok' });
    });
    router.use('/graphql', (0, handler_1.createHandler)({ users, githubRepositories, githubOrganizations }));
    if (extend) {
        extend(router);
    }
    let app = (0, express_1.default)().use((0, cors_1.default)()).use(router);
    let server = app.listen(port);
    if (!server.listening) {
        await new Promise(resolve => {
            server.once('listening', resolve);
        });
    }
    return server;
}
exports.startStandaloneServer = startStandaloneServer;
//# sourceMappingURL=standaloneServer.js.map